Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ant.types
Class WebApp

    java.lang.Object
      org.mortbay.jetty.ant.types.WebApp

    public class WebApp

extends java.lang.Object

Ant's WebApp object definition.

Author:
  Jakub Pawlowicz

Constructor Summary
`WebApp(org.apache.tools.ant.Project project)`

Method Summary
`void` | `addClasses(org.apache.tools.ant.types.FileSet classes)`
`void` | `addContextHandlers(ContextHandlers contextHandlers)`
`void` | `addLib(org.apache.tools.ant.types.FileSet lib)`
`void` | `addScanTargets(org.apache.tools.ant.types.FileSet scanTargets)`
`java.util.List` | `getClasses()`
`java.util.List` | `getClassPathFiles()`
`java.util.List` | `getContextHandlers()`
`java.lang.String` | `getContextPath()`
`java.io.File` | `getJettyEnvXml()`
`java.util.List` | `getLibraries()`
`FileMatchingConfiguration` | `getLibrariesConfiguration()`
`java.lang.String` | `getName()`
`int` | `getScanIntervalSeconds()`
`FileMatchingConfiguration` | `getScanTargetsConfiguration()`
`java.io.File` | `getWarFile()`
`java.io.File` | `getWebDefaultXmlFile()`
`java.io.File` | `getWebXmlFile()`
`void` | `setContextPath(java.lang.String contextPath)`
`void` | `setJettyEnvXml(java.io.File jettyEnvXml)`
`void` | `setName(java.lang.String name)`
`void` | `setScanIntervalSeconds(int scanIntervalSeconds)`
`void` | `setWarFile(java.io.File warFile)`
`void` | `setWebDefaultXmlFile(java.io.File webDefaultXmlfile)`
`void` | `setWebXmlFile(java.io.File webXmlFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebApp

    public WebApp(org.apache.tools.ant.Project project)

Method Detail

### getWebDefaultXmlFile

    public java.io.File getWebDefaultXmlFile()

### setWebDefaultXmlFile

    public void setWebDefaultXmlFile(java.io.File webDefaultXmlfile)

### addLib

    public void addLib(org.apache.tools.ant.types.FileSet lib)

### getLibraries

    public java.util.List getLibraries()

### addClasses

    public void addClasses(org.apache.tools.ant.types.FileSet classes)

### getClasses

    public java.util.List getClasses()

### getWarFile

    public java.io.File getWarFile()

### setWarFile

    public void setWarFile(java.io.File warFile)

### getContextPath

    public java.lang.String getContextPath()

### setContextPath

    public void setContextPath(java.lang.String contextPath)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getClassPathFiles

    public java.util.List getClassPathFiles()

  Returns:
    a list of classpath files (libraries and class directories).

### getLibrariesConfiguration

    public FileMatchingConfiguration getLibrariesConfiguration()

  Returns:
    a `FileMatchingConfiguration` object describing the configuration of all libraries added to this particular web app (both classes and libraries).

### getScanTargetsConfiguration

    public FileMatchingConfiguration getScanTargetsConfiguration()

### getWebXmlFile

    public java.io.File getWebXmlFile()

  Returns:
    location of web.xml file (either inside WAR or on the external location).

### setWebXmlFile

    public void setWebXmlFile(java.io.File webXmlFile)

### addScanTargets

    public void addScanTargets(org.apache.tools.ant.types.FileSet scanTargets)

### addContextHandlers

    public void addContextHandlers(ContextHandlers contextHandlers)

### getScanIntervalSeconds

    public int getScanIntervalSeconds()

### setScanIntervalSeconds

    public void setScanIntervalSeconds(int scanIntervalSeconds)

### getJettyEnvXml

    public java.io.File getJettyEnvXml()

### setJettyEnvXml

    public void setJettyEnvXml(java.io.File jettyEnvXml)

### getContextHandlers

    public java.util.List getContextHandlers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.